<div class="bio-generic-card">
    <div class="bio-accordion-header">
        <p class="accordion-title">Type 2 Diabetes Risk Score</p>
        <div ng-if="!$ctrl.processing">
            <p class="f-score" ng-if="$ctrl.data.status && !$ctrl.data.field.diabetes">
                <i class="fa fa-circle ds_{{$ctrl.data.case.style}}"></i>  
                {{$ctrl.data.score}} - {{$ctrl.data.case.name}}
            </p>
            <p class="f-score" ng-if="!$ctrl.data.status && !$ctrl.data.field.diabetes"><i class="fa fa-circle fr_incomplete"></i>  
            Incomplete data</p>
            <p class="not-applicable" ng-if="!$ctrl.data.status && $ctrl.data.field.diabetes">
                Not applicable. Your patient already has diabetes.
            </p>
            <div class="accordion-caret">
                <i class="material-icons pointer" ng-click="$ctrl.accordion_toggle('diabetes')">
                    {{($ctrl.accordion.diabetes) ? 'expand_less':'expand_more'}}
                </i>
            </div>      
        </div>
        
        <div ng-if="$ctrl.processing">
            <lines class="shine"></lines>
            <lines-sm class="shine"></lines-sm>
        </div>
    </div>
    <div class="bio-generic-card-body" style="padding:15px;" ng-if="$ctrl.accordion.diabetes">
        <!-- <p class="no-data-to-show-yet">No data to show yet.</p> -->
        <div class="col-sm-12">
            <div class="row">
                <div class="col-sm-4">
                    <div class="med-item">
                        <i class="material-icons med-icon">accessibility</i>
                        <p class="med-label">Age</p>
                        <p class="med-value">{{$ctrl.data.field.age}} yrs old</p>
                    </div>
                </div>   
                <div class="col-sm-4" >
                    <div class="med-item">
                        <i class="fas fa-ruler-horizontal med-icon"></i>
                        <p class="med-label">Height</p>
                        <p class="med-value">{{$ctrl.data.field.height}}</p>
                    </div>
                </div>   
                <div class="col-sm-4">
                    <div class="med-item">
                        <i class="fas fa-weight med-icon"></i>
                        <p class="med-label">Weight</p>
                        <p class="med-value">{{$ctrl.data.field.weight}}</p>
                    </div>
                </div>       
            </div>
            <br>
            <div class="row">
                <div class="col-sm-4">
                    <div class="med-item">
                        <i class="material-icons med-icon">accessibility</i>
                        <p class="med-label">Gender</p>
                        <p class="med-value">{{$ctrl.data.field.gender}}</p>
                    </div>
                </div>   
                <div class="col-sm-4" >
                    <div class="med-item">
                        <i class="fa fa-tint med-icon"></i>
                        <p class="med-label">Gestational D.</p>
                        <p class="med-value">{{$ctrl.data.field.gestational}}</p>
                    </div>
                </div>   
                <div class="col-sm-4">
                    <div class="med-item">
                        <i class="material-icons med-icon">fitness_center</i>
                        <p class="med-label">Exercise</p>
                        <p class="med-value">{{$ctrl.data.field.exercise}}</p>
                    </div>
                </div>       
            </div>
            <br>
            <div class="row">
                <div class="col-sm-4">
                    <div class="med-item">
                        <i class="material-icons med-icon">people</i>
                        <p class="med-label">Family History</p>
                        <p class="med-value">{{$ctrl.data.field.family_history}}</p>
                    </div>
                </div> 
                <div class="col-sm-4">
                    <div class="med-item">
                        <i class="material-icons med-icon">show_chart</i>
                        <p class="med-label">High BP</p>
                        <p class="med-value">{{$ctrl.data.field.high_bp}}</p>
                    </div>
                </div>   
                     
            </div>
        </div>
    </div>
</div>